//
//  Block.m
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "Block.h"
#import "cocos2d.h"

@implementation Block

@synthesize falling, acceleration, boardPosition;

+(id) randomBlock {
    int r = arc4random() % 18;
    int value;
    
    if(r > 0 && r <= 9)
        value = r;
    else if (r > 9 && r <= 18)
        value = -1 * (r - 9);
    else 
        value = 0;
        
    return [[self alloc] initBlockWithValue: value];
}

+(id) blockWithValue: (int) value {
    return [[self alloc] initBlockWithValue: value];
}

-(id) initBlockWithValue: (int) val {
    NSString *file;
    
    if(val == 0)
        file = @"zeroblock.png";
    else if(val > 0)
        file = @"positiveblock.png";
    else 
        file = @"negativeblock.png";
    
    if((self = [super initWithFile:file])) {
        self.falling = NO;
        self->value = value;
        
        CCLabelTTF *valLable = [CCLabelTTF labelWithString:[NSString stringWithFormat:@"%d", abs(val)] 
                                                dimensions:CGSizeMake(32, 32) 
                                                hAlignment:UITextAlignmentCenter 
                                                  fontName:@"Arial" 
                                                  fontSize:20.0];
        
        valLable.position = ccp(self.contentSize.width/2, self.contentSize.width/2 - 5);
        [self addChild:valLable];

    }
    return self;
}

@end
