//
//  BlockMaster.m
//  ZeroSum
//
//  Created by Akshay Nathan on 8/4/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "BlockMaster.h"
#import "Grid.h"


@implementation BlockMaster

-(id)initWithGrid:(Grid *)g {
    if (self = [super init]) {
        self->g = g;
        self->blocks = [[CCArray alloc] initWithCapacity:BLOCK_CACHE_SIZE];
        self->numBlocks = 0;
        [self refreshBlockCache];
    }
    return self;
}

-(Block *)getBlock {
    if (self->numBlocks == 0)
        [self refreshBlockCache];
    self->numBlocks--;
    Block *k = [self->blocks objectAtIndex:self->numBlocks];
    [self->blocks removeObjectAtIndex:self->numBlocks];
    return k;
}

-(void)refreshBlockCache {
    for (int i = 0; i < BLOCK_CACHE_SIZE; i++) {
        Block *b = [Block randomBlock];
        b.visible = NO;
        [self->blocks addObject:b];
        self->numBlocks++;
        [self->g addChild:b];
    }
}

@end
