//
//  GameScene.m
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "GameScene.h"
#import "Grid.h"
#import "Block.h"
#import "StatsLayer.h"

@implementation GameScene

static CGRect screenRect;

static GameScene* instanceOfGameScene;

-(id) init {
	if ((self = [super initWithColor:ccc4(255,255,255,255)])) {
        
        instanceOfGameScene = self;
		CGSize screenSize = [[CCDirector sharedDirector] winSize];
		screenRect = CGRectMake(0, 0, screenSize.width, screenSize.height);
        
        gl = [CCLayer node];
        [self addChild:gl z:0 tag:0]; 
        
        sl = [StatsLayer node];
        [self addChild:sl z:1 tag:1];
        
        Grid* g = [Grid node];
        [gl addChild:g];
        
        god = [God godWithGrid:g];
        [god initializeGrid];
	}
	return self;
}

+(GameScene*) sharedGameScene {
	return instanceOfGameScene;
}

+(CGRect) screenRect {
    return screenRect;
}

+(CCScene*) scene {
    CCScene* scene = [CCScene node];
	GameScene* layer = [GameScene node];
	[scene addChild:layer z:0 tag:0];
	return scene;
}

-(void) dealloc {
	instanceOfGameScene = nil;
	[super dealloc];
}

@end
