//
//  God.m
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "God.h"
#import "GridBlock.h"
#import "Block.h"

@implementation God

@synthesize level, score, c;

-(id) initWithGrid: (Grid*) grid {
    
    if(self == [super init]) {
        score = 0;
        level = 0;
        g = grid;
        c = [Chain createChain];
        bm = [[BlockMaster alloc] initWithGrid:g];
    }
    
    return self;
}

+(id) godWithGrid: (Grid*) grid {
    return [[God alloc] initWithGrid:grid];
}

-(void) initializeGrid {
    CCArray* arr = [g gridArray];
    for(int i = 0; i < 8; i++) {
        CCArray* column = [arr objectAtIndex:i];
        GridBlock* bl = [column objectAtIndex:0];
        [self putBlockInPosition:bl];
        
        for(int k = 1; k < 5; k++) {
            int rand = arc4random() % 5;
            if(rand < 5 - k) {
                [self putBlockInPosition:[column objectAtIndex:k]];
            } else 
                break;
        }

    }
}

-(void) putBlockInPosition: (GridBlock*) bl {
    Block* block = [bm getBlock];
    block.visible = YES;
    block.position = [Grid getRealPosition:bl.boardPosition];
    bl.block = block;
    bl.filled = YES;
}

@end
