//
//  Grid.m
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "Grid.h"
#import "GridBlock.h"

@implementation Grid

@synthesize gridArray;

-(id) init {
	if ((self = [super init])) {
        self->gridBatch = [[CCSpriteBatchNode alloc] initWithFile:@"gridblock.png" capacity:80];
        self->connectorBatch = [[CCSpriteBatchNode alloc] initWithFile:@"connector.png" capacity:160];
        self->gridArray = [[CCArray alloc] initWithCapacity:8];
        
        [self addChild:gridBatch z:0];
        [self addChild:connectorBatch z:1];
        
		for(int i = 0; i < 8; i++) {
            CCArray *row = [[CCArray alloc] initWithCapacity:10];
			for (int k = 0; k < 10; k++) {
                BoardPos pos;
                pos.x = i;
                pos.y = k;
                GridBlock *gb = [GridBlock gridblockWithPosition: pos];
                [row addObject:gb];
                [gridBatch addChild:gb];
                [gb createConnectors: connectorBatch];
            }
            [self.gridArray addObject:row];
		}
	}	
	return self;
}

+(CGPoint) getRealPosition: (BoardPos) pos {
    return ccp(4+(BLOCK_SIZE/4)+(BLOCK_SIZE/2*(pos.x)),
                       BOTTOM_PADDING+(BLOCK_SIZE/4)+(BLOCK_SIZE/2*(pos.y)));
}

@end
