//
//  GridBlock.m
//  ZeroSum
//
//  Created by Akshay Nathan on 7/29/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "GridBlock.h"
#import "Grid.h"

@implementation GridBlock

@synthesize sideConnector, topConnector, filled, boardPosition, block;

+(GridBlock*) gridblockWithPosition: (BoardPos) position {
	return [[[self alloc] initGridBlockWithPosition: position] autorelease];
}

-(id) initGridBlockWithPosition: (BoardPos) position {
    if((self = [super initWithFile:@"gridblock.png"])) {
        self.boardPosition = position;
        self.position = [Grid getRealPosition: position];
        self.filled = NO;
    }
    return self;
}

-(void) createConnectors: (CCSpriteBatchNode*) connectorBatch {
    self.sideConnector = [[CCSprite alloc] initWithFile:@"connector.png"];
    CGPoint k = ccp(self.position.x + self.contentSize.width/2, self.position.y);
    self.sideConnector.position = k;
    self.sideConnector.visible = NO;
    [connectorBatch addChild:self.sideConnector];
    
    self.topConnector = [[CCSprite alloc] initWithFile:@"connector.png"];
    CGPoint m = ccp(self.position.x, self.position.y + self.contentSize.height/2);
    self.topConnector.position = m;
    self.topConnector.rotation = 90;
    self.topConnector.visible = NO;
    [connectorBatch addChild:self.topConnector];
}

@end
