//
//  StatsLayer.m
//  ZeroSum
//
//  Created by Akshay Nathan on 7/31/12.
//  Copyright (c) 2012 Yale University. All rights reserved.
//

#import "StatsLayer.h"
#import "GameScene.h"

@implementation StatsLayer

@synthesize score, runningTotal, level;

-(id) init {
    if( self = [super init] ) {
        score = [CCLabelTTF labelWithString:@"0" dimensions:CGSizeMake(150, 24) 
                                 hAlignment: CCTextAlignmentRight fontName:@"Arial" 
                                   fontSize: 24 ];
        score.anchorPoint = ccp(1, 1);
        score.position = ccp([GameScene screenRect].size.width, 
                                     [GameScene screenRect].size.height - 2);
        [self addChild:score];
        
        level = [CCLabelTTF labelWithString:@"Level 1" dimensions:CGSizeMake(150, 24) 
                                 hAlignment: CCTextAlignmentLeft fontName:@"Arial" 
                                   fontSize: 24 ];
        level.anchorPoint = ccp(0, 1);
        level.position = ccp(0, [GameScene screenRect].size.height - 2);
        [self addChild:level];
        
        runningTotal = [CCLabelTTF labelWithString:@"0" dimensions:CGSizeMake(150, 24) 
                                 hAlignment: CCTextAlignmentCenter fontName:@"Arial" 
                                   fontSize: 24 ];
        runningTotal.anchorPoint = ccp(.5, 1);
        runningTotal.position = ccp([GameScene screenRect].size.width/2, 
                                     [GameScene screenRect].size.height - 2);
        [self addChild:runningTotal];
        
        score.color = ccc3(0, 0, 0);
        level.color = ccc3(0, 0, 0);
        runningTotal.color = ccc3(0, 0, 0);
    }
    return self;
}

@end
